/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/
package jp.co.ntt.lms.installer.util;

/**
 * 文字列の関するユーティリティ・クラス。
 * @author T.Nishiki
 */
public class StringUtil {

	/**
	 * 指定した文字が空文字列か判定します。<br>
	 * @param s 判定対象の空文字列。
	 * @return sがnullであるか、長さ０の場合trueを、
	 *          そうでない場合falseを戻します。
	 */
	public static boolean isEmpty(String s) {
		return (s == null) || (s.length() == 0);
	}

	/**
	 * 指定された配列を文字列化します。
	 * @param array 文字列化する配列。
	 * @return arrayの文字列表現。
	 */
	public static String toString(Object[] array) {
		StringBuffer buffer = new StringBuffer();
		if (array == null) {
			buffer.append("null");
		}
		else {
			buffer.append("{");
			for (int i = 0; i < array.length; i++) {
				if (i > 0) {
					buffer.append(",");
				}
				buffer.append(array[i]);
			}
		}
		return buffer.toString();
	}
}
